# POST /api/v1/entity-tags

> Attach tag to entity

- **Tag:** tags
- **Operation ID:** `attach_tag_api_v1_entity_tags_post`

## Description

Attach a tag to a specific entity (transaction, invoice, bill, etc.)

## Authentication

Bearer token in `Authorization` header.
Required header: `x-business-id: <business uuid>`.

## Request body

Schema: `EntityTagCreate`

- `tag_id` (string · required) — UUID of the tag to attach
- `model_type` (string · required) — Type of entity (transaction, invoice, bill, journal_entry, customer, vendor, product)
- `model_id` (string · required) — UUID of the entity to tag

## Responses

### 201 — Successful Response

Schema: `EntityTagResponse`

- `id` (string · required) — Unique identifier for the entity tag
- `tag_id` (string · required) — UUID of the tag
- `tag_name` (string · required) — Name of the tag
- `tag_group_name` (string) — Name of the tag group (if any)
- `model_type` (string · required) — Type of entity this tag is attached to
- `model_id` (string · required) — UUID of the entity
- `created_at` (string · date-time · required) — Timestamp when the tag was attached

### 400 — Bad Request - Invalid input

### 401 — Unauthorized - Authentication required

### 403 — Forbidden - Insufficient permissions

### 404 — Not Found - Resource does not exist

### 409 — Conflict - Resource already exists

### 422 — Validation Error

Schema: `HTTPValidationError`

- `detail` (array · ValidationError) → `ValidationError`
  - `loc` (array · string | integer · required)
  - `msg` (string · required)
  - `type` (string · required)
  - `input` (object)
  - `ctx` (object)

## Code samples

### cURL

```bash
curl -X POST 'https://api.ondayzero.com/api/v1/entity-tags' \
  -H 'Authorization: Bearer dz_your_token' \
  -H 'x-business-id: YOUR_BUSINESS_ID' \
  -H 'Content-Type: application/json' \
  -d '{
  "tag_id": "string",
  "model_type": "string",
  "model_id": "string"
}'
```

### JavaScript

```javascript
const response = await fetch('https://api.ondayzero.com/api/v1/entity-tags', {
  method: 'POST',
  headers: {
    Authorization: 'Bearer dz_your_token',
    'x-business-id': 'YOUR_BUSINESS_ID',
    'Content-Type': 'application/json',
  },
  body: JSON.stringify({
  "tag_id": "string",
  "model_type": "string",
  "model_id": "string"
}),
});
const data = await response.json();
```

### Python

```python
import httpx

headers = {
    "Authorization": "Bearer dz_your_token",
    "x-business-id": "YOUR_BUSINESS_ID",
}

payload = {
  "tag_id": "string",
  "model_type": "string",
  "model_id": "string"
}

response = httpx.post("https://api.ondayzero.com/api/v1/entity-tags", headers=headers, json=payload)
data = response.json()
```

## See also

- HTML version: https://www.ondayzero.com/docs/reference/tags/attach-tag
- OpenAPI slice: https://www.ondayzero.com/docs/reference/tags/attach-tag/openapi.json
- Other endpoints in **tags**: https://www.ondayzero.com/docs/reference/tags
